import 'package:sprintf/sprintf.dart';

///
/// @author vay
/// @email hxhvay@126.com
/// @date 2020-05-13
///

/// 字符串工具类
class StringUtils {
  /// 不允许实例化
  StringUtils._();

  /// 判断字符串是否为空
  static bool isEmpty(String text) {
    return text == null || text.isEmpty || text.trim().length == 0;
  }

  /// 字符串格式化
  static String format(String text, [List<dynamic> params]) {
    return sprintf(text, params);
  }
}
